Bug 751128 - missing calltime alert subsystem stats
missing calltime alert subsystem stats
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.2
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-11-03 11:47 EDT by John Mazzitelli
Modified: 2012-02-07 14:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:20:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
metrics.png (73.19 KB, image/png)
2011-11-03 16:16 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2011-11-03 11:47:10 EDT
in researching bug #741331, it was noticed that we are missing stats for calltime alerts.

Need to add stats to the alert subsystem MBean and the rhq-server plugin.
Comment 1 John Mazzitelli 2011-11-03 16:09:52 EDT
git commit to master: a560fa305476df8a5afae2f210a7ea6e89513b94
git commit to release_jon3.x: 6afb2a51e4ed728ee8bb76b14ea85b251b28764e
Comment 2 John Mazzitelli 2011-11-03 16:11:10 EDT
to test, confirm the RHQ Server's Alert subsystem child resource has metrics that collect calltime statistics. If you create a calltime alert definition somewhere, you should see the stats be larger than 0.
Comment 3 John Mazzitelli 2011-11-03 16:16:07 EDT
Created attachment 531655 [details]
metrics.png

see attached image of the alert subsystem resource this issue is referring to - you'll see the metrics in the snapshot that are new - the calltime ones.
Comment 4 Mike Foley 2011-11-04 11:00:36 EDT
verified
Comment 5 Mike Foley 2012-02-07 14:20:36 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.